plist-cil : Claunia.PropertyList Namespace

# XmlPropertyListParser Class

Parses XML property lists.

## Syntax

public static class XmlPropertyListParser

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: Claunia.PropertyList
Assembly: plist-cil (in plist-cil.dll)
Assembly Versions: 1.13.0.0, 1.14.0.0

## Members

See Also: Inherited members from object.

## Public Methods

static | Parse (byte[]) : NSObject Parses a XML property list from a byte array.
static | Parse (System.IO.FileInfo) : NSObject Parses a XML property list file.
static | Parse (System.IO.Stream) : NSObject Parses a XML property list from an input stream.

## Member Details

### Parse Method

> Parses a XML property list from a byte array.

> ## Syntax

> public static NSObject Parse (byte[] bytes)

> #### Parameters

> > bytes
> >   The byte array containing the property list's data.

> #### Returns

> > The root object of the property list. This is usually a NSDictionary but can also be a NSArray.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Parse Method

> Parses a XML property list file.

> ## Syntax

> public static NSObject Parse (System.IO.FileInfo f)

> #### Parameters

> > f
> >   The XML property list file.

> #### Returns

> > The root object of the property list. This is usually a NSDictionary but can also be a NSArray.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Parse Method

> Parses a XML property list from an input stream.

> ## Syntax

> public static NSObject Parse (System.IO.Stream str)

> #### Parameters

> > str
> >   The input stream pointing to the property list's data.

> #### Returns

> > The root object of the property list. This is usually a NSDictionary but can also be a NSArray.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0